Comment 6 for bug 533549

Right! I too was upgrading from 9.10 to 10.04 (now "Linux owyhee 2.6.31-21-generic #59-Ubuntu SMP Wed Mar 24 07:28:56 UTC 2010 i686 GNU/Linux")

I did
apt-get purge yaml-mode
apt-get install yaml-mode

and emacs23 yaml-mode works now.